centr_eigen_tmax {igraph} | R Documentation

## Theoretical maximum for betweenness centralization

### Description

See `centralize` for a summary of graph centralization.

### Usage

    centr_eigen_tmax(graph = NULL, nodes = 0, directed = FALSE,
      scale = TRUE)

### Arguments

`graph` | The input graph. It can also be `NULL`, if `nodes` is given.
`nodes` | The number of vertices. This is ignored if the graph is given.
`directed` | logical scalar, whether to use directed shortest paths for calculating betweenness.
`scale` | Whether to rescale the eigenvector centrality scores, such that the maximum score is one.

### Value

Real scalar, the theoratical maximum (unnormalized) graph betweenness centrality score for graphs with given order and other parameters.

### See Also

Other centralization related: `centr_betw_tmax`, `centralization.betweenness.tmax`; `centr_betw`, `centralization.betweenness`; `centr_clo_tmax`, `centralization.closeness.tmax`; `centr_clo`, `centralization.closeness`; `centr_degree_tmax`, `centralization.degree.tmax`; `centr_degree`, `centralization.degree`; `centr_eigen`, `centralization.evcent`; `centralization`, `centralize`, `centralize.scores`

### Examples

    # A BA graph is quite centralized
    g <- sample_pa(1000, m = 4)
    centr_eigen(g, normalized = FALSE)$centralization %>%
     `/`(centr_eigen_tmax(g))
    centr_eigen(g, normalized = TRUE)$centralization

[Package igraph version 1.0.1 Index]